Pi Durable Platformdocs
ReferenceAgents, threads and templates

Rename a conversation

PATCH
/v1/agents/{agentId}/threads/{threadId}

Path Parameters

agentId*string
Formatuuid
threadId*string

Client-chosen thread ID (1-64 letters, digits, dashes or underscores)

Match^[A-Za-z0-9_-]{1,64}$

Request Body

application/json
  1. body
title*string
Lengthlength <= 200

Response Body

The thread

application/json
  1. response
data*
curl -X PATCH 'https://agents.example.com/v1/agents/497f6eca-6276-4993-bfeb-53cbbbba6f08/threads/string' \  -H 'Content-Type: application/json' \  -d '{  "title": "string"}'
{  "data": {    "threadId": "string",    "title": "string",    "createdAt": 0,    "updatedAt": 0,    "busy": true,    "lastReplyAt": 0,    "lastError": "string",    "visibility": "shared",    "createdBy": {      "kind": "user",      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "name": "string"    },    "participants": [      {        "kind": "user",        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "name": "string",        "lastSentAt": 0      }    ]  }}